POST api/PolicyAICallLog/Update
Request Information
URI Parameters
None.
Body Parameters
AICallLogRecordNest| Name | Description | Type | Additional information |
|---|---|---|---|
| Feedback | string |
None. |
|
| Transcript | string |
None. |
|
| Status | CallStatus |
Required Range: inclusive between 1 and 2 |
|
| TransactionId | string |
Required |
|
| TruckingCompanyId | globally unique identifier |
None. |
|
| aiVendor | AICallVendors |
None. |
|
| LastCallTime | date |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| CallId | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| TaskId | globally unique identifier |
None. |
|
| callType | CallType |
None. |
|
| Id | globally unique identifier |
None. |
|
| PhoneNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedback": "sample string 1",
"transcript": "sample string 2",
"status": 1,
"transactionId": "sample string 3",
"truckingCompanyId": "1d46e30e-8e70-4b66-9710-68a148ed660a",
"aiVendor": 1,
"lastCallTime": "2026-06-17T14:06:18.7596385-05:00",
"policyId": "5f0a6a77-3617-48fe-9a16-dc0560b7d7de",
"agencyId": "ba2a9bc9-c9be-4c93-ac6a-7c1ecd947d14",
"callId": "sample string 5",
"userId": "2227953c-4f15-4212-87a5-5168823de0cc",
"createDate": "2026-06-17T14:06:18.7596385-05:00",
"changeDate": "2026-06-17T14:06:18.7596385-05:00",
"taskId": "50a81f3f-319b-4ad5-b84c-3d9b41c128af",
"callType": 1,
"id": "7e3309ae-b428-4ec6-8a04-9f430a158b2e",
"phoneNumber": "sample string 9"
}
application/xml, text/xml
Sample:
<AICallLogRecordNest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <AIVendor>SONANT</AIVendor> <AgencyId>ba2a9bc9-c9be-4c93-ac6a-7c1ecd947d14</AgencyId> <CallId>sample string 5</CallId> <CallType>Incomming</CallType> <ChangeDate>2026-06-17T14:06:18.7596385-05:00</ChangeDate> <CreateDate>2026-06-17T14:06:18.7596385-05:00</CreateDate> <Feedback>sample string 1</Feedback> <Id>7e3309ae-b428-4ec6-8a04-9f430a158b2e</Id> <LastCallTime>2026-06-17T14:06:18.7596385-05:00</LastCallTime> <PhoneNumber>sample string 9</PhoneNumber> <PolicyId>5f0a6a77-3617-48fe-9a16-dc0560b7d7de</PolicyId> <Status>Failed</Status> <TaskId>50a81f3f-319b-4ad5-b84c-3d9b41c128af</TaskId> <TransactionId>sample string 3</TransactionId> <Transcript>sample string 2</Transcript> <TruckingCompanyId>1d46e30e-8e70-4b66-9710-68a148ed660a</TruckingCompanyId> <UserId>2227953c-4f15-4212-87a5-5168823de0cc</UserId> </AICallLogRecordNest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>